package com.bjzc.bhzhgd.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Huang Wenfei on 2022/6/15
 */

public class QxTjgdRequestBean implements Parcelable {

    private String gdid;
    private String action;
    private String STATUS;
    private String SBBH;
    private String qybh;
    private String SBMC;
    private String QXSSBZ;
    private String QXSSZY;
    private String QKDJ;
    private String QXDM;
    private String BLGD;
    private String YQJ;
    private String QXMS;
    private String GZNZ;
    private String TJR;
    private String TJRXM;
    private String TJSJ;
    private String TJSBZ;
    private List<String> files;


    public String getGdid() {
        return gdid;
    }

    public void setGdid(String gdid) {
        this.gdid = gdid;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getSTATUS() {
        return STATUS;
    }

    public void setSTATUS(String STATUS) {
        this.STATUS = STATUS;
    }

    public String getSBBH() {
        return SBBH;
    }

    public void setSBBH(String SBBH) {
        this.SBBH = SBBH;
    }

    public String getQybh() {
        return qybh;
    }

    public void setQybh(String qybh) {
        this.qybh = qybh;
    }

    public String getSBMC() {
        return SBMC;
    }

    public void setSBMC(String SBMC) {
        this.SBMC = SBMC;
    }

    public String getQXSSBZ() {
        return QXSSBZ;
    }

    public void setQXSSBZ(String QXSSBZ) {
        this.QXSSBZ = QXSSBZ;
    }

    public String getQXSSZY() {
        return QXSSZY;
    }

    public void setQXSSZY(String QXSSZY) {
        this.QXSSZY = QXSSZY;
    }

    public String getQKDJ() {
        return QKDJ;
    }

    public void setQKDJ(String QKDJ) {
        this.QKDJ = QKDJ;
    }

    public String getQXDM() {
        return QXDM;
    }

    public void setQXDM(String QXDM) {
        this.QXDM = QXDM;
    }

    public String getBLGD() {
        return BLGD;
    }

    public void setBLGD(String BLGD) {
        this.BLGD = BLGD;
    }

    public String getYQJ() {
        return YQJ;
    }

    public void setYQJ(String YQJ) {
        this.YQJ = YQJ;
    }

    public String getQXMS() {
        return QXMS;
    }

    public void setQXMS(String QXMS) {
        this.QXMS = QXMS;
    }

    public String getGZNZ() {
        return GZNZ;
    }

    public void setGZNZ(String GZNZ) {
        this.GZNZ = GZNZ;
    }

    public String getTJR() {
        return TJR;
    }

    public void setTJR(String TJR) {
        this.TJR = TJR;
    }

    public String getTJRXM() {
        return TJRXM;
    }

    public void setTJRXM(String TJRXM) {
        this.TJRXM = TJRXM;
    }

    public String getTJSJ() {
        return TJSJ;
    }

    public void setTJSJ(String TJSJ) {
        this.TJSJ = TJSJ;
    }

    public String getTJSBZ() {
        return TJSBZ;
    }

    public void setTJSBZ(String TJSBZ) {
        this.TJSBZ = TJSBZ;
    }

    public List<String> getFiles() {
        return files;
    }

    public void setFiles(List<String> files) {
        this.files = files;
    }

    public QxTjgdRequestBean() {
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.gdid);
        dest.writeString(this.action);
        dest.writeString(this.STATUS);
        dest.writeString(this.SBBH);
        dest.writeString(this.qybh);
        dest.writeString(this.SBMC);
        dest.writeString(this.QXSSBZ);
        dest.writeString(this.QXSSZY);
        dest.writeString(this.QKDJ);
        dest.writeString(this.QXDM);
        dest.writeString(this.BLGD);
        dest.writeString(this.YQJ);
        dest.writeString(this.QXMS);
        dest.writeString(this.GZNZ);
        dest.writeString(this.TJR);
        dest.writeString(this.TJRXM);
        dest.writeString(this.TJSJ);
        dest.writeString(this.TJSBZ);
        dest.writeList(this.files);
    }

    protected QxTjgdRequestBean(Parcel in) {
        this.gdid = in.readString();
        this.action = in.readString();
        this.STATUS = in.readString();
        this.SBBH = in.readString();
        this.qybh = in.readString();
        this.SBMC = in.readString();
        this.QXSSBZ = in.readString();
        this.QXSSZY = in.readString();
        this.QKDJ = in.readString();
        this.QXDM = in.readString();
        this.BLGD = in.readString();
        this.YQJ = in.readString();
        this.QXMS = in.readString();
        this.GZNZ = in.readString();
        this.TJR = in.readString();
        this.TJRXM = in.readString();
        this.TJSJ = in.readString();
        this.TJSBZ = in.readString();
        this.files = new ArrayList<String>();
        in.readList(this.files, String.class.getClassLoader());
    }

    public static final Creator<QxTjgdRequestBean> CREATOR = new Creator<QxTjgdRequestBean>() {
        @Override
        public QxTjgdRequestBean createFromParcel(Parcel source) {
            return new QxTjgdRequestBean(source);
        }

        @Override
        public QxTjgdRequestBean[] newArray(int size) {
            return new QxTjgdRequestBean[size];
        }
    };
}
